<?xml version="1.0"?>
<doc>
    <assembly>
        <name>BookRegistry.Client</name>
    </assembly>
    <members>
        <member name="M:BookRegistry.Client.AComponent.WasAbandoned_Notify_Deactivate(BookRegistry.Client.SimpleSIR)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ALayoutComponent.WasAbandoned_Notify_Deactivate(BookRegistry.Client.SimpleSIR)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.APageComponent.MessageBoxInstance">
            <exception cref="T:System.NotImplementedException" />
        </member>
        <member name="P:BookRegistry.Client.Exclusive.WasAbandonedOrCancelled">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.HasOperationAt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.SetCancellation(System.Threading.CancellationTokenSource)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.ESC_WaitOperation_A">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.ESC_WaitInterception(System.Int32,System.Type,System.String)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.ESC_WaitInterception(System.Int32,System.String,System.String)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.Exclusive.ESC_WaitInterception(System.Int32,System.Reflection.MethodBase)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.ForeOperation.Text">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.SetText(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.SetText(System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.SetText(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.SetText(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.NotifyOpAbandoned(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.Deactivate">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WasAbandoned_Notify_Deactivate">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WasAbandoned_Notify_Deactivate(BookRegistry.Client.SimpleSIR)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.CancelRestoreFocus">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.VerifyAccess">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.OnDispose(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(BookRegistry.Client.ForeOperation.SaveFocusParams,System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(BookRegistry.Client.ForeOperation.SaveFocusParams,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(BookRegistry.Client.ForeOperation.SaveFocusParams,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(BookRegistry.Client.ForeOperation.SaveFocusParams,System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.#ctor(BookRegistry.Client.ForeOperation.SaveFocusParams,System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.VerifyNotOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.DoVerifyAccess">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference})">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference},System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference},System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference},System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference},System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(System.Nullable{Microsoft.AspNetCore.Components.ElementReference},System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(BookRegistry.Client.AComponent,System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(BookRegistry.Client.AComponent,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(BookRegistry.Client.AComponent,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(BookRegistry.Client.AComponent,System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ForeOperation.WithSaveFocus(BookRegistry.Client.AComponent,System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.PropertyNNBase">
            <summary>
            Non-nullable property support for inheritance (strict access to underlying value)
            </summary>
        </member>
        <member name="M:BookRegistry.Client.PropertyNNBase.Get``1(``0,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:BookRegistry.Client.PropertyNNBase.Value``1(System.Nullable{``0},System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.WASM.HNullValueException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocation.ESC_Invoke_A``1(System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocation.ESC_Invoke_A``1(System.String,System.Object)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="P:BookRegistry.Client.ServiceInvocationResult`1.ResponseNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.ServiceInvocationResult`1.ExceptionNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.ServiceInvocationResult`1.ErrorMessageNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.#ctor(`0,System.Exception)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.VerifyHasResponse">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.VerifyHasException">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.HasRequestError(BookRegistry.Client.GeneralApiResponse,System.Exception)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.DoVerifyHasResponse">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.ServiceInvocationResult`1.DoVerifyHasException">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.SimpleSIR.#ctor(BookRegistry.Client.GeneralApiResponse,System.Exception)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_Invoke_A``1(System.Object,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_Invoke_A``1(System.Boolean,System.Object,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_InvokeAction_A``1(System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_InvokeAction_A``1(System.Boolean,System.String)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_InvokeAction_A``1(System.String,System.Object)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_InvokeAction_A``1(System.Boolean,System.String,System.Object)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.ESC_InvokeImplementation_A``1(System.Boolean,System.String,System.Object)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:BookRegistry.Client.OperationFailedException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.#ctor">
            <exception cref="T:CommonHelpers.WASM.HUnsuccessException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.AddressOf(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.AddressOf(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationText(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationText(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationTextAuto(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationText(System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationText(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.XServiceBase.SetOperationTextAuto(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.App.wasm_Magistral_PerformNavigation(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="P:BookRegistry.Client.App.Instance">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Components.BookCard">
            <summary>
            BookCard-subpage component (in HomePage)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Components.BookCard.ParentPage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Components.BookCard.CurrentBook">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Components.BookCard.BookSelectionCollections">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Components.BookInfo">
            <summary>
            BookInfo-subpage component (in HomePage)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Components.BookInfo.ParentPage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Components.BookInfo.CurrentBook">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Components.BookList">
            <summary>
            BookList-fragment component (in HomePage)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Components.BookList.ParentPage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.DB.ResultSetItemBase">
            <summary>
            ORM-structure simulator (result-set record model)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.SPOutputBase">
            <summary>
            ORM-structure simulator (output parameters model)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.IdName_Item">
            <summary>
            Simple ID+Name item
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.BookSaving_Input">
            <summary>
            Input parameters model (base for “AddBook_Input” and “UpdateBook_Input”)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.AddBook_SP">
            <summary>
            Book adding (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.AddBook_Input">
            <summary>
            Input parameters model as extension of “BookSaving_Input” (base model class)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.GetBookSelectionCollections_SP">
            <summary>
            Book selection collections obtainment — 5 lists (stored procedure)
            </summary>
            <remarks>
            Authors (#1), Categories (#2), Genres (#3), Publishers (#4), Series (#5)
            </remarks>
        </member>
        <member name="T:BookRegistry.Client.DB.GetServiceUser_SP">
            <summary>
            User information extraction (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.ServiceUser_Info">
            <summary>
            Service user model (result-set) with “server-only” password data
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.GetWeatherForecastSummaries_SP">
            <summary>
            Weather forecast summaries selection (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.ForecastSummary_Item">
            <summary>
            Result set (model)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.RemoveBook_SP">
            <summary>
            Book removal (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.SelectBooks_SP">
            <summary>
            Book list selection (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.SelectBooks_Input">
            <summary>
            Input parameters model
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.SelectBooks_Item">
            <summary>
            Result set (model), is derived from “IdName_Item” ([ID]+[Name] fields)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.UpdateBook_SP">
            <summary>
            Book data correction (stored procedure)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.UpdateBook_Input">
            <summary>
            Input parameters model as extension of “BookSaving_Input” (base model class)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.DB.DBConstants">
            <summary>
            Constant database characteristics (sizes, lengths etc.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Session.UserInfo">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Session.UserName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Session.RoleName">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Session.LoginTime">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Session.VerifyIsOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:BookRegistry.Client.OperationFailedException" />
        </member>
        <member name="T:BookRegistry.Client.NavMenuItem">
            <summary>
            Drop-down menu item (markup fragments)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.AuthorizationMI">
            <summary>
            Authorization menu item
            </summary>
        </member>
        <member name="T:BookRegistry.Client.NotNullInterpreter">
            <summary>
            Not null object and value interpreter (strict accessor)
            </summary>
        </member>
        <member name="M:BookRegistry.Client.NotNullInterpreter.NN``1(``0)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:BookRegistry.Client.NotNullInterpreter.V``1(System.Nullable{``0})">
            <exception cref="T:CommonHelpers.WASM.HNullValueException" />
        </member>
        <member name="M:BookRegistry.Client.UserAuthorizationService.DoRefreshTokens_A(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:BookRegistry.Client.Pages.AboutPage.BlockTitleHRef(System.String,System.String,System.String,System.String,System.String,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.Pages.AboutPage.BlockTitleHRef(System.String,System.Nullable{System.Int32},System.String,System.String,System.String,System.String,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="P:BookRegistry.Client.Pages.HomePage.CurrentBookNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Pages.HomePage.CurrentListBookNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Pages.HomePage.BookListNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.BookRegistry_Client_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.AButton">
            <summary>
            Button-control (application components lib.)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.ACheckBox">
            <summary>
            Check-box control (application components lib.)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.ADropDownList">
            <summary>
            Drop-down list control (application components lib.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList.SelectedIndex">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.GetSelectedItem``1">
            <exception cref="T:CommonHelpers.WASM.HArgumentTypeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.GetSelectedItemValue``1">
            <exception cref="T:CommonHelpers.WASM.HArgumentTypeException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList.ErrorMessage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList.HasError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.GetItem``1(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:CommonHelpers.WASM.HArgumentTypeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.GetItemCaption(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.SetError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.ResetError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.VerifyAssignedIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList.ToSelectItemIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList.ErrorFrameNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Shared.ADropDownList_IdName">
            <summary>
            Drop-down list control for IIdNameItemView item-type (application components lib.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList_IdName.SelectedIndex">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList_IdName.ErrorMessage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList_IdName.HasError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.GetItem(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.GetItemId(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.GetItemName(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.SetError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.ResetError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.VerifyAssignedIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.ADropDownList_IdName.ToSelectItemIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.ADropDownList_IdName.ErrorFrameNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Shared.AEditBox">
            <summary>
            Edit-box control (application components lib.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Shared.AEditBox.ErrorMessage">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.AEditBox.HasError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.AEditBox.SetError(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.AEditBox.ResetError">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.AEditBox.ErrorFrameNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Shared.AErrorFrame">
            <summary>
            Error-frame control (application components lib.)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.AErrorList">
            <summary>
            Error-list element (application components lib.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Shared.AErrorList.AggregatedMessageNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.Shared.AHRef">
            <summary>
            Hyperlink-reference control (application components lib.)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.AResetControl">
            <summary>
            Reset-element control (application components lib.)
            </summary>
        </member>
        <member name="T:BookRegistry.Client.Shared.AUpResetControl">
            <summary>
            Up-reset control (application components lib.)
            </summary>
        </member>
        <member name="P:BookRegistry.Client.Shared.MainLayout.Instance">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.MainLayout.MessageBox">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.MainLayout.ModalDialog">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.MessageBox.Parameters">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.MessageBox.ESC_ShowDialog_A(BookRegistry.Client.Shared.MessageBoxParams)">
            <exception cref="T:AFXUI.UEscapeException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.MessageBox.VerifyIsOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.MessageBox.VerifyNotOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.MessageBox.Open_A(BookRegistry.Client.Shared.MessageBoxParams)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.Shared.MessageBox.DoOpen(BookRegistry.Client.Shared.MessageBoxParams)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.Shared.MessageBox.ModalDialog">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:BookRegistry.Client.ApiArgumentsBase">
            <summary>
            Common base structure for API-action arguments
            </summary>
        </member>
        <member name="T:BookRegistry.Client.ApiPropertiesBase">
            <summary>
            Common base structure for API-properties chunk
            </summary>
        </member>
        <member name="T:BookRegistry.Client.GeneralApiResponse">
            <summary>
            Common base structure for API-response with message and status
            </summary>
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse.GetIfSuccess``1(``0,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:BookRegistry.Client.GeneralApiResponseNI`1">
            <summary>
            Common structure for API-response with nullable items collection (generic), message and status
            </summary>
        </member>
        <member name="P:BookRegistry.Client.GeneralApiResponseNI`1.Items">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:BookRegistry.Client.GeneralApiResponseNI`1.ItemsNN">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponseNI`1.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponseNI`1.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:BookRegistry.Client.GeneralApiResponse`1">
            <summary>
            Common structure for API-response with not null items collection (generic), message and status
            </summary>
        </member>
        <member name="P:BookRegistry.Client.GeneralApiResponse`1.Items">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.Boolean)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.Boolean,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(System.Boolean,System.String,System.Guid)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:BookRegistry.Client.GeneralApiResponse`1.#ctor(BookRegistry.Client.GeneralApiResponse)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:BookRegistry.Client.IIdNameItemView">
            <summary>
            Simple ID+Name item-properties readonly access
            </summary>
        </member>
    </members>
</doc>
